using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Media;

namespace TClock
{
    public partial class Form1 : Form
    {
        AboutBox1 about;

        public Form1()
        {
            InitializeComponent();
            about= new AboutBox1();
        }

        private void flowLayoutPanel1_Paint(object sender, PaintEventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            System.Threading.ThreadStart entryPoint = new System.Threading.ThreadStart(talk);
            System.Threading.Thread talkThread = new System.Threading.Thread(entryPoint);
            talkThread.Start();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DateTime dt = DateTime.Now;
            label_time.Text = dt.ToString("T");

            SoundPlayer sndPing = new SoundPlayer(TClock.Properties.Resources.DACLOCK);
            sndPing.Play();

        }


        private void timer_sec_Tick(object sender, EventArgs e)
        {
            DateTime dt = DateTime.Now;
            label_time.Text = dt.ToString("T");
           }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        public void talk()
        {
            String file = "_";
            DateTime dt = DateTime.Now;
            SoundPlayer snd;
            int tens; /* holds tens min digit */

            /* hour */
            if (dt.Hour > 12)
                file += (dt.Hour - 12).ToString();
            else if (dt.Hour == 0) /* don't say 0 say 12 */
                file += "12";
            else
                file += (dt.Hour - 12).ToString();



            snd = new SoundPlayer(TClock.Properties.Resources.ResourceManager.GetStream(file));
            snd.PlaySync();

            if (dt.Minute < 24)
            { // just say
                file = "_";
                file += dt.Minute;
                snd = new SoundPlayer(TClock.Properties.Resources.ResourceManager.GetStream(file));
                snd.PlaySync();
            }
            else
            { // Say tens then singles 
                /* minute tens*/
                tens = ((int)dt.Minute / 10) * 10; /* round off singles */
                file = "_";
                file += tens.ToString();
                snd = new SoundPlayer(TClock.Properties.Resources.ResourceManager.GetStream(file));
                snd.PlaySync();

                /* minutes singles */
                file = "_";
                file += (dt.Minute - tens).ToString();
                snd = new SoundPlayer(TClock.Properties.Resources.ResourceManager.GetStream(file));
                snd.PlaySync();

            }
            /* PM */
            if (dt.Hour > 12)
                snd = new SoundPlayer(TClock.Properties.Resources.ResourceManager.GetStream("PM"));
            snd.PlaySync();
        }

        private void aboutToolStripMenuItem_Click(object sender, EventArgs e)
        {
             about.Show();
        }


    }

}